# encoding: utf-8

module Mysqlknife
  module Parameter
    class Command < Parameter::Base
      attr_writer :cmd

      def commands
        if @connection.nil? == false &&
           @host.nil?       == false &&
           @cmd.nil?
          puts "Commands:"
          if @config.commands.nil? == false &&
             @config.commands.count > 0 &&
             @config.commands.is_a?(Array)
            @config.commands.each do |command|
              puts " - #{command}"
            end
          end
        end
      end

      def connect
        if @connection.nil? == false &&
           @host.nil?       == false &&
           @cmd.nil?        == false
          @config.connection(@connection)
          puts "Connecting to: #{@config.select(@host)}"
          @command.execute(@mysql.parse(@config.command(@cmd)))
        end
      end
    end
  end
end
