# encoding: utf-8

module Mysqlknife
  class Iterm
    def initialize
      @color = { orange: [255,128,000],
                 green:  [000,255,000],
                 red:    [255,000,000] }
    end

    def name(name = nil)
      print "\033]0;#{name}\007"
    end

    def color(name)
      name  = name.to_sym
      red   = @color[name][0]
      green = @color[name][1]
      blue  = @color[name][2]

      print "\033]6;1;bg;red;brightness;#{red}\a"
      print "\033]6;1;bg;green;brightness;#{green}\a"
      print "\033]6;1;bg;blue;brightness;#{blue}\a"
    end

    def reset
      print "\033]6;1;bg;*;default\a"
    end
  end
end
