# encoding: utf-8

module Mysqlknife
  module Parameter
    class Base
      attr_writer :connection, :host

      def initialize
        @command = Mysqlknife::Command.new
        @config  = Mysqlknife::Configs.instance
        @mysql   = Mysqlknife::Mysql.new
      end

      def connections
        if @connection.nil?
          puts "Connections:"
          @config.connections.each do |conn|
            puts " - #{conn}"
          end
        end
      end

      def hosts
        if @connection.nil? == false &&
           @host.nil?       == true
          @config.connection(@connection)
          puts "Hosts for connection: #{@connection}"
          if @config.hosts.nil? == false &&
             @config.hosts.count > 0 &&
             @config.hosts.is_a?(Array)
            @config.hosts.each do |host|
              puts " - #{host}"
            end
          end
        end
      end
    end
  end
end
